package com.cm.common.plugin.pojo.bos.department;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DepartmentResourceBO
 * @Description:
 * @Author: WangGeng
 * @Date: 2020/9/16 18:37
 * @Version: 1.0
 **/
public class DepartmentResourceBO implements Serializable {

    private static final long serialVersionUID = -6925619505625197420L;
    private String userId;
    private String departmentId;
    private String departmentName;
    private String departmentCode;

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getDepartmentId() {
        return departmentId == null ? "" : departmentId.trim();
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName == null ? "" : departmentName.trim();
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentCode() {
        return departmentCode == null ? "" : departmentCode.trim();
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userId\":\"")
                .append(userId).append('\"');
        sb.append(",\"departmentId\":\"")
                .append(departmentId).append('\"');
        sb.append(",\"departmentName\":\"")
                .append(departmentName).append('\"');
        sb.append(",\"departmentCode\":\"")
                .append(departmentCode).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
